<template>
  <slot :connect="isSalesForceEnabled ? connect : upgradePlan" :has-integration="isSalesForceEnabled" />
  <app-salesforce-connect-drawer
    v-model="drawerVisible"
    :integration="integration"
  />
</template>

<script setup>
import { defineProps, onMounted, ref } from 'vue';
import { FeatureFlag } from '@/utils/featureFlag';
import AppSalesforceConnectDrawer from './salesforce-connect-drawer.vue';
import { useRouter } from 'vue-router';

defineProps({
  integration: {
    type: Object,
    default: () => {},
  },
});

const isSalesForceEnabled = ref(false);

onMounted(async () => {
  isSalesForceEnabled.value = FeatureFlag.isFlagEnabled(FeatureFlag.flags.salesforce);
});
const router = useRouter();

const upgradePlan = () => {
  router.push('/settings?activeTab=plans');
};

const drawerVisible = ref(false);
const connect = () => {
  drawerVisible.value = true;
};

</script>

<script>
export default {
  name: 'AppSalesforceConnect',
};
</script>
